NTCARD(1)

NAME
ntcard - Streaming algorithm to estimate cardinality in genomics datasets

SYNOPSIS
ntCard [OPTION]... FILE(S)...

DESCRIPTION
Estimates k-mer coverage histogram in FILE(S).

Acceptable file formats: fastq, fasta, sam, bam and in compressed formats gz, bz, zip, xz. A list of files containing file names in each row can be passed with @ prefix.

    Options:

-t, --threads=N
    use N parallel threads [1] (N>=2 should be used when input files are >=2)

-k, --kmer=N
    the length of kmer

-g, --gap=N
    the length of gap in the gap seed [0]. g mod 2 must equal k mod 2 unless g == 0 -g does not support multiple k currently.

-c, --cov=N
    the maximum coverage of kmer in output [1000]

-p, --pref=STRING
    the prefix for output file name(s)

-o, --output=STRING
    the name for output file name (used when output should be a single file)

--help
    display this help and exit

--version output version information and exit

REPORTING BUGS
Report bugs to https://github.com/bcgsc/ntCard/issues

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.